Debian Bug report logs - #655872
FTBFS on kfreebsd-i386: 1 of 4 tests failed

version graph

Package: src:libatomic-ops; Maintainer for src:libatomic-ops is Ian Wienand <ianw@debian.org>;

Reported by: Luca Falavigna <dktrkranz@debian.org>

Date: Sat, 14 Jan 2012 13:09:02 UTC

Severity: serious

Found in version libatomic-ops/7.3~alpha1+git20110913-1

Fixed in version libatomic-ops/7.3~alpha1+git20120718-1

Done: Ian Wienand <ianw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#655872; Package src:libatomic-ops. (Sat, 14 Jan 2012 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
New Bug report received and forwarded. Copy sent to Ian Wienand <ianw@debian.org>. (Sat, 14 Jan 2012 13:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS on kfreebsd-i386: 1 of 4 tests failed
Date: Sat, 14 Jan 2012 14:05:26 +0100
Source: libatomic-ops
Version: 7.3~alpha1+git20110913-1
Severity: serious
Justification: fails to build from source


libatomic-ops fails to build from source on kfreebsd-i386, but built in the past:

Performing 1000 reversals of 1000 element lists in 10 threads
PASS: test_malloc
===================
1 of 4 tests failed
===================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory
`/build/buildd-libatomic-ops_7.3~alpha1+git20111031-1-kfreebsd-i386-o9U_sE/libatomic-ops-7.3~alpha1+git20111031/tests'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory
`/build/buildd-libatomic-ops_7.3~alpha1+git20111031-1-kfreebsd-i386-o9U_sE/libatomic-ops-7.3~alpha1+git20111031/tests'
make[2]: *** [check] Error 2
make[2]: Leaving directory
`/build/buildd-libatomic-ops_7.3~alpha1+git20111031-1-kfreebsd-i386-o9U_sE/libatomic-ops-7.3~alpha1+git20111031/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory
`/build/buildd-libatomic-ops_7.3~alpha1+git20111031-1-kfreebsd-i386-o9U_sE/libatomic-ops-7.3~alpha1+git20111031'
make: *** [debian/stamp-makefile-check] Error 2

https://buildd.debian.org/status/fetch.php?pkg=libatomic-ops&arch=kfreebsd-i386&ver=7.3%7Ealpha1%2Bgit20111031-1&stamp=1320128950




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#655872; Package src:libatomic-ops. (Sun, 15 Jul 2012 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Maidanski <ivmai@mail.ru>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Sun, 15 Jul 2012 20:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 655872@bugs.debian.org (full text, mbox):

From: Ivan Maidanski <ivmai@mail.ru>
To: 655872@bugs.debian.org
Subject: Fwd: Re: [Gc] Powerpc/m68k/freebsd issue running test_stack
Date: Sun, 15 Jul 2012 23:57:23 +0400
[Message part 1 (text/plain, inline)]
Could somebody point me to the commit of libatomic_ops which makes the test to fail?

PS. I fixed build problem with kfreebsd/i386: https://github.com/ivmai/libatomic_ops/commit/613f39d369045e8fc385a439f67a575cddcc6fa1 (pushed to master (v7.3alpha3) and to https://github.com/ivmai/libatomic_ops/tree/libatomic_ops-7_2-hotfix-1 - will go to v7.2d release including that of bdwgc)

Regards,
Ivan
[Message part 2 (text/html, inline)]

Reply sent to Ian Wienand <ianw@debian.org>:
You have taken responsibility. (Wed, 18 Jul 2012 14:51:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Falavigna <dktrkranz@debian.org>:
Bug acknowledged by developer. (Wed, 18 Jul 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 655872-close@bugs.debian.org (full text, mbox):

From: Ian Wienand <ianw@debian.org>
To: 655872-close@bugs.debian.org
Subject: Bug#655872: fixed in libatomic-ops 7.3~alpha1+git20120718-1
Date: Wed, 18 Jul 2012 14:47:29 +0000
Source: libatomic-ops
Source-Version: 7.3~alpha1+git20120718-1

We believe that the bug you reported is fixed in the latest version of
libatomic-ops, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655872@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Wienand <ianw@debian.org> (supplier of updated libatomic-ops package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jul 2012 07:08:36 -0700
Source: libatomic-ops
Binary: libatomic-ops-dev
Architecture: source amd64
Version: 7.3~alpha1+git20120718-1
Distribution: unstable
Urgency: low
Maintainer: Ian Wienand <ianw@debian.org>
Changed-By: Ian Wienand <ianw@debian.org>
Description: 
 libatomic-ops-dev - A library for atomic operations (development files)
Closes: 655872
Changes: 
 libatomic-ops (7.3~alpha1+git20120718-1) unstable; urgency=low
 .
   * Closes: 655872 -- Update from upstream git which fixes issues with
     older compilers as used on kfreebsd
     (613f39d369045e8fc385a439f67a575cddcc6fa1).  Thanks Ivan!
Checksums-Sha1: 
 45641fd28325669c2a56a307d70d0eb320efc9e7 1234 libatomic-ops_7.3~alpha1+git20120718-1.dsc
 97147f01f792d9dd8da42d2980c0155686bb0752 402492 libatomic-ops_7.3~alpha1+git20120718.orig.tar.gz
 877b7a76a2afe08bd795cabff7a81cddf034b806 10304 libatomic-ops_7.3~alpha1+git20120718-1.diff.gz
 79e86941230878092dcc14016bf26cf11d039b9c 83500 libatomic-ops-dev_7.3~alpha1+git20120718-1_amd64.deb
Checksums-Sha256: 
 2cf8e29c00af56bcb33677360a3d480537c9b1fcc3841d522a96cc21fa0ed818 1234 libatomic-ops_7.3~alpha1+git20120718-1.dsc
 2adff4278625a6535c63c2864d28e5d8a97bfc45208c63d5735d63a101bd0e49 402492 libatomic-ops_7.3~alpha1+git20120718.orig.tar.gz
 5bdb9f78667f474b6ad6ba4c72853ed0bf7067349d8e76d0fce7c2aeca451faa 10304 libatomic-ops_7.3~alpha1+git20120718-1.diff.gz
 455e6bc5ce0cd9468c5aeb5e87cdf926f2f8f5cd04f8df9b51af7fa42bf0fd12 83500 libatomic-ops-dev_7.3~alpha1+git20120718-1_amd64.deb
Files: 
 b7f998c793c3a3faec4888691a592d07 1234 libdevel optional libatomic-ops_7.3~alpha1+git20120718-1.dsc
 c6306466265a62dc318ee032d0a2ca03 402492 libdevel optional libatomic-ops_7.3~alpha1+git20120718.orig.tar.gz
 a3d37a78ec804e9fef6b2bc6e7d8a895 10304 libdevel optional libatomic-ops_7.3~alpha1+git20120718-1.diff.gz
 3af4bd2ea1accb0afac42f4bdad8e1a7 83500 libdevel optional libatomic-ops-dev_7.3~alpha1+git20120718-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAGw8sACgkQWDlSU/gp6een4gCggW9IUg62l0Ky+aOHVCUon3cB
/wgAniQ697yipzB3YzQ9OMZYMY3UIC5p
=QVCq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Aug 2012 07:26:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:28:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.